<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/white"
    android:orientation="vertical">

    <com.google.android.material.circularreveal.cardview.CircularRevealCardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardBackgroundColor="@android:color/background_light"
        app:cardCornerRadius="0dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/name_text_input"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_toStartOf="@+id/btnOK"
                android:layout_toLeftOf="@+id/btnOK"
                android:hint=" "
                android:background="@android:color/white"
                app:hintTextAppearance="@style/HintText"
                app:hintTextColor="@android:color/black">

                <de.com.limto.limto1.Controls.NoSelectionAutoComplete
                    android:id="@+id/edtxtQuestion"
                    android:background="@android:color/white"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentStart="true"
                    android:layout_alignParentLeft="true"
                    android:paddingTop="25dp"
                    android:paddingBottom="10dp"
                    android:layout_marginRight="0dp"
                    android:layout_toStartOf="@+id/btnOK"
                    android:layout_toLeftOf="@+id/btnOK"
                    android:hint="@string/Frage"
                    android:maxLength="255"
                    android:shadowColor="#000000"
                    android:text=""
                    android:textColorHint="#000000"
                    android:textCursorDrawable="@drawable/custom_cursor_drawable"
                    android:textSize="30sp"
                    android:layout_marginEnd="0dp">

                </de.com.limto.limto1.Controls.NoSelectionAutoComplete>
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.floatingactionbutton.FloatingActionButton
                android:id="@+id/btnOK"
                android:contentDescription="@string/enternewquestion"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_alignParentRight="true"
                android:layout_marginTop="20dp"
                android:layout_marginEnd="8dp"
                android:layout_marginRight="8dp"
                app:backgroundTint="?attr/toolbar_color"
                app:elevation="0dp"
                app:srcCompat="@drawable/ic_action_send"
                app:tint="?attr/text_color" />
        </RelativeLayout>
    </com.google.android.material.circularreveal.cardview.CircularRevealCardView>


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_gravity="center"
        android:layout_weight="1"
        android:gravity="center"
        android:isScrollContainer="true">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardBackgroundColor="?attr/toolbar_color"
                app:cardCornerRadius="0dp"
                app:cardElevation="5dp">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="10dp"
                    android:text="@string/Accessibility"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color" />
            </androidx.cardview.widget.CardView>

            <com.google.android.material.button.MaterialButton
                android:id="@+id/chkEmergencyBlind"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:text="@string/EmergencyBlind"
                android:textColor="?attr/text_color"
                android:textSize="25sp"
                android:visibility="visible" />

            <com.google.android.material.checkbox.MaterialCheckBox
                android:id="@+id/chkEmergency"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:text="@string/Emergency"
                android:visibility="gone" />

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone"
                app:cardBackgroundColor="?attr/toolbar_color"
                app:cardCornerRadius="0dp"
                app:cardElevation="5dp">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="10dp"
                    android:text="@string/Laufzeit"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone"
                app:cardBackgroundColor="@android:color/background_light"
                app:cardCornerRadius="0dp">

                <Spinner
                    android:id="@+id/spnLaufzeit"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:entries="@array/laufzeiten"
                    android:padding="10dp"
                    android:prompt="@string/Laufzeit" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardBackgroundColor="?attr/toolbar_color"
                app:cardCornerRadius="0dp"
                app:cardElevation="5dp">

                <TextView
                    android:id="@+id/Kon"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="10dp"
                    android:text="@string/Kontaktgrad"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardBackgroundColor="@android:color/background_light"
                app:cardCornerRadius="0dp">

                <Spinner
                    android:id="@+id/spinnerGrad"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:entries="@array/grades"
                    android:padding="10dp"
                    android:prompt="@string/Kontaktgrad" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardBackgroundColor="?attr/toolbar_color"
                app:cardCornerRadius="0dp"
                app:cardElevation="5dp">

                <TextView
                    android:id="@+id/Max"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="10dp"
                    android:text="@string/MaxEntf"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardBackgroundColor="@android:color/background_light"
                app:cardCornerRadius="0dp">

                <Spinner
                    android:id="@+id/spinnerEntfernung"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:entries="@array/radius"
                    android:padding="10dp"
                    android:prompt="@string/Entfernung" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardBackgroundColor="?attr/toolbar_color"
                app:cardCornerRadius="0dp"
                app:cardElevation="5dp">

                <TextView
                    android:id="@+id/tvFehlergrad"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="10dp"
                    android:text="@string/Fehlergrad"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardBackgroundColor="@android:color/background_light"
                app:cardCornerRadius="0dp">

                <Spinner
                    android:id="@+id/spinnerFehlergrad"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:entries="@array/fehler"
                    android:padding="10dp"
                    android:prompt="@string/Fehlergrad" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardBackgroundColor="?attr/toolbar_color"
                app:cardCornerRadius="0dp"
                app:cardElevation="5dp">

                <TextView
                    android:id="@+id/tvVisibility"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="10dp"
                    android:text="@string/VisibilityOfAnswers"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color" />
            </androidx.cardview.widget.CardView>

            <RadioGroup
                android:id="@+id/grpOeffentlich"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:orientation="vertical"
                android:padding="10dp">

                <com.google.android.material.radiobutton.MaterialRadioButton
                    android:id="@+id/btnOeffentlich"
                    android:contentDescription="@string/publicQuestion"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/_public" />

                <com.google.android.material.radiobutton.MaterialRadioButton
                    android:id="@+id/btnPrivat"
                    android:contentDescription="@string/privateQuestion"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/_private" />
            </RadioGroup>

        </LinearLayout>


    </ScrollView>


</LinearLayout>
